Gecode::TupleSet::ValueData Class Reference

Data about values in the table. More...

`#include <int.hh>`

## Public Member Functions

unsigned int | start (int n) const
| Find start range for value n.

## Public Attributes

unsigned int | n
| Number of ranges.
Range * | r
| Ranges.

## Detailed Description

Data about values in the table.

Definition at line 2216 of file int.hh.

## Member Function Documentation

## start()

unsigned int Gecode::TupleSet::ValueData::start | ( | int | n | ) | const

inline

Find start range for value n.

Definition at line 93 of file tuple-set.hpp.

## Member Data Documentation

## n

unsigned int Gecode::TupleSet::ValueData::n

Number of ranges.

Definition at line 2219 of file int.hh.

## r

Range* Gecode::TupleSet::ValueData::r

Ranges.

Definition at line 2221 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/extensional/tuple-set.hpp